Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.util
Class XStreamPathConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter
          org.meshcms.util.XStreamPathConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.ConverterMatcher, com.thoughtworks.xstream.converters.SingleValueConverter

public class XStreamPathConverter
extends com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter

Allows to save instances of `Path` using XStream.

Constructor Summary
`XStreamPathConverter()`

Method Summary
`boolean` | `canConvert(java.lang.Class aClass)`
`java.lang.Object` | `fromString(java.lang.String string)`
`boolean` | `isPrependSlash()` Returns the current type of string (with or without prepended slash).
`void` | `setPrependSlash(boolean prependSlash)` Defines the type of string that will be used to save (with or without prepended slash).
`java.lang.String` | `toString(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XStreamPathConverter

    public XStreamPathConverter()

Method Detail

### fromString

    public java.lang.Object fromString(java.lang.String string)

### canConvert

    public boolean canConvert(java.lang.Class aClass)

### toString

    public java.lang.String toString(java.lang.Object obj)

### isPrependSlash

    public boolean isPrependSlash()

  Returns the current type of string (with or without prepended slash).

### setPrependSlash

    public void setPrependSlash(boolean prependSlash)

  Defines the type of string that will be used to save (with or without prepended slash).

  Parameters:
    `prependSlash` - if to prepend or not the slah

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD